Bug 837316 - Power consumption on laptops with i915 hw [NEEDINFO]
Power consumption on laptops with i915 hw
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lenny Szubowicz
Red Hat Kernel QE team
:
Depends On:
Blocks: 1269638
  Show dependency treegraph
 
Reported: 2012-07-03 08:47 EDT by Stanislav Graf
Modified: 2015-10-08 14:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 14:17:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sgraf: needinfo? (mjg)


Attachments (Terms of Use)

  None (edit)
Description Stanislav Graf 2012-07-03 08:47:55 EDT
Description of problem:
I need to manually set kernel cmdline paramaters 'pcie_aspm=force i915.i915_enable_rc6=1' to decrease heating of my laptop from 55 to 45 °C. Also increase battery time.

Tested on 2 laptops:

ThinkPad T420s
--------------
# lspci -s 00:02.0 -v
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 21d2
	Flags: bus master, fast devsel, latency 0, IRQ 31
	Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 4000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [a4] PCI Advanced Features
	Kernel driver in use: i915
	Kernel modules: i915
# uname -a
Linux localhost.localdomain 2.6.32-280.el6.x86_64 #1 SMP Mon Jun 18 17:28:46 EDT 2012 x86_64 x86_64 x86_64 GNU/Linux

HP Mini 5103 (WT211ES#ARL)
--------------------------
# lspci -s 00:02.0 -v
00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device 1608
	Flags: bus master, fast devsel, latency 0, IRQ 26
	Memory at 90480000 (32-bit, non-prefetchable) [size=512K]
	I/O ports at 30a0 [size=8]
	Memory at 80000000 (32-bit, prefetchable) [size=256M]
	Memory at 90300000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Kernel driver in use: i915
	Kernel modules: i915
# uname -a
Linux localhost.localdomain 2.6.32-220.17.1.el6.x86_64 #1 SMP Tue May 15 17:16:46 CDT 2012 x86_64 x86_64 x86_64 GNU/Linux

Version-Release number of selected component (if applicable):
kernel-2.6.32-220.17.1.el6.x86_64
kernel-2.6.32-280.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Try default RHEL installation on laptop that can use i915 kernel driver
2. Check CPU temperature and battery time.
3. Add at boot 'pcie_aspm=force i915.i915_enable_rc6=1'
4. Check CPU temperature and battery time.
  
Actual results:
Default RHEL cpu temperature is 10 degrees higher. Battery time is shorter.

Expected results:
Default RHEL cpu temperature is NOT 10 degrees higher. Battery time is NOT shorter.

Additional info:
Comment 1 John Poelstra 2012-07-03 14:37:37 EDT
I can confirm that battery life is horrible on the Lenovo x220 with RHEL 6.3, 3 to 4 hours.  With Fedora 17 it's close to 10.  

I tried the kernel args:
pcie_aspm=force i915.i915_enable_rc6=1 i915.lvds_downclock=1 i915.i915_enable_fbc=1 

as described in this article: http://www.williambrownstreet.net/blog/?p=387 

and saw significant improvement--in line with Fedora.  Bonus points too because the bottom of the unit is much cooler and the fan barely runs, making it less noisy.
Comment 2 Toni Willberg 2012-07-04 04:02:40 EDT
I had 62'C temperature after installing RHEL6.3 workstation on my X220, and after applying the kernel args from comment #1 the temperature dropped to 49'C.
Comment 3 Matthew Garrett 2012-07-08 17:39:02 EDT
I'm pretty reluctant to change the ASPM policy in 6, given the potential for breaking hardware.
Comment 4 John Poelstra 2012-07-09 12:54:14 EDT
making bug public--if it shouldn't be, feel free to change back.
Comment 5 Stanislav Graf 2012-09-18 04:40:41 EDT
(In reply to comment #3)
> I'm pretty reluctant to change the ASPM policy in 6, given the potential for
> breaking hardware.

And what about 'i915.i915_enable_rc6=1' - is that possible?
If it is not, can we add this into 'tuned' package?

Note You need to log in before you can comment on or make changes to this bug.